%bcond_without python3

Name:		python-ecdsa
Version:	0.17.0
Release:	2	
Summary:	ECDSA cryptographic signature library
License:	MIT
URL:		https://pypi.python.org/pypi/ecdsa
Source0:	https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:	openssl

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under 
the MIT license. With this library, you can quickly create keypairs (signing
 key and verifying key), sign messages, and verify the signatures. The keys 
and signatures are very short, making them easy to handle and incorporate 
into other protocols.

%package -n python3-ecdsa
Summary:        ECDSA cryptographic signature library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six
%{?python_provide:%python_provide python3-ecdsa}

%description -n python3-ecdsa
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing  key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%package_help
%prep
%autosetup -n ecdsa-%{version}
rm -rf ecdsa.egg-info
find src/ecdsa -name \*.py | xargs sed -ie '/\/usr\/bin\/env/d'

%build
%_bindir/python3 setup.py build '--executable=%_bindir/python3 -s'

%install
%_bindir/python3 setup.py install -O1 --skip-build --root %buildroot

%check
%_bindir/python3 setup.py test

%files -n python3-ecdsa
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python%{python3_version}/site-packages/*
%exclude %_prefix/lib/python%{python3_version}/site-packages/ecdsa/test_*
%exclude %_prefix/lib/python%{python3_version}/site-packages/ecdsa/__pycache__/test_*

%files help
%defattr(-,root,root)
%doc NEWS README.md

%changelog
* Mon Oct 24 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.17.0-2
- Do not pack open-source test case files

* Sat Nov 13 2021 liudabo <liudabo1@huawei.com> - 0.17.0-1
- update version to 0.17.0

* Thu Oct 29 2020 wangye <wangye70@huawei.com> - 0.14.1-3
- use python3 replace python2 for build

* Tue Jun 16 2020 hanhui <hanhui@huawei.com> - 0.14.1-2
- fix python3.8 can not find path

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 0.14.1-1
- Package init
